Name:             maven-checkstyle-plugin
Version:          3.0.0
Release:          1%{?dist}
Summary:          Plugin that generates a report regarding the code style used by the developers
License:          ASL 2.0
URL:              https://maven.apache.org/plugins/%{name}

Source0:          https://repo2.maven.org/maven2/org/apache/maven/plugins/%{name}/%{version}/%{name}-%{version}-source-release.zip

Patch1:           0001-Port-to-doxia-1.7.patch

BuildArch:        noarch

BuildRequires:  maven-local
BuildRequires:  mvn(commons-collections:commons-collections)
BuildRequires:  mvn(com.puppycrawl.tools:checkstyle)
BuildRequires:  mvn(org.apache.maven.doxia:doxia-decoration-model)
BuildRequires:  mvn(org.apache.maven.doxia:doxia-integration-tools)
BuildRequires:  mvn(org.apache.maven.doxia:doxia-sink-api)
BuildRequires:  mvn(org.apache.maven.doxia:doxia-site-renderer)
BuildRequires:  mvn(org.apache.maven:maven-artifact)
BuildRequires:  mvn(org.apache.maven:maven-core)
BuildRequires:  mvn(org.apache.maven:maven-model)
BuildRequires:  mvn(org.apache.maven:maven-plugin-api)
BuildRequires:  mvn(org.apache.maven:maven-plugin-descriptor)
BuildRequires:  mvn(org.apache.maven:maven-project)
BuildRequires:  mvn(org.apache.maven.plugins:maven-plugin-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-plugins:pom:)
BuildRequires:  mvn(org.apache.maven.plugin-tools:maven-plugin-annotations)
BuildRequires:  mvn(org.apache.maven.reporting:maven-reporting-api)
BuildRequires:  mvn(org.apache.maven.reporting:maven-reporting-impl)
BuildRequires:  mvn(org.apache.velocity:velocity)
BuildRequires:  mvn(org.codehaus.plexus:plexus-component-annotations)
BuildRequires:  mvn(org.codehaus.plexus:plexus-component-metadata)
BuildRequires:  mvn(org.codehaus.plexus:plexus-container-default)
BuildRequires:  mvn(org.codehaus.plexus:plexus-interpolation)
BuildRequires:  mvn(org.codehaus.plexus:plexus-resources)
BuildRequires:  mvn(org.codehaus.plexus:plexus-utils)
BuildRequires:  mvn(org.codehaus.plexus:plexus-velocity)

%description
Generates a report on violations of code style and optionally fails the build
if violations are detected.

%package javadoc
Summary:          Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%autosetup -p1

%pom_remove_plugin :apache-rat-plugin

# Remove build-helper java version parsing for animal sniffer
# Remove animal-sniffer because it's an upstream quality check not needed to be redone here
%pom_remove_plugin :build-helper-maven-plugin
%pom_remove_plugin :animal-sniffer-maven-plugin

%build
%mvn_build -f -- -DmavenVersion=3.2.1

%install
%mvn_install

%files -f .mfiles
%doc LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%doc LICENSE NOTICE

%changelog
* Mon Jan 15 2018 Christopher Tubbs <ctubbsii@fedoraproject.org> - 3.0.0-1
- Fix FTBFS; update to 3.0.0 (rhbz#1031260)

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.13-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.13-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu May 05 2016 Michael Simacek <msimacek@redhat.com> - 2.13-5
- Fix FTBFS after doxia 1.7 update

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.13-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.13-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Oct 14 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 2.13-2
- Remove legacy Obsoletes/Provides for maven2 plugin

* Tue Sep 23 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 2.13-1
- Update to upstream version 2.13

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Mar 17 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 2.12-1
- Update to upstream version 2.12
- Update to current packaging guidelines
- Use Maven 3.x APIs

* Tue Mar 04 2014 Stanislav Ochotnicky <sochotnicky@redhat.com> - 2.10-3
- Use Requires: java-headless rebuild (#1067528)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Apr 23 2013 Mat Booth <fedora@matbooth.co.uk> - 2.10-1
- Update to 2.10, require checkstyle 5.6, rhbz #915219

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.9.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 2.9.1-5
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Wed Jan 02 2013 Michal Srb <msrb@redhat.com> - 2.9.1-4
- Migrated from maven-doxia to doxia subpackages (Resolves: #889144)

* Mon Nov 26 2012 Mikolaj Izdebski <mizdebsk@redhat.com> - 2.9.1-3
- Install NOTICE files
- Resolves: rhbz#880265

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.9.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Mar 5 2012 Alexander Kurtakov <akurtako@redhat.com> 2.9.1-1
- Update to 2.9.1.

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Nov 2 2011 Alexander Kurtakov <akurtako@redhat.com> 2.8-1
- Update to 2.8.

* Thu Sep 15 2011 Tomas Radej <tradej@redhat.com> - 2.7-1
- Updated to 2.7
- Guideline fixes

* Thu Jun 9 2011 Alexander Kurtakov <akurtako@redhat.com> 2.6-5
- Fix checkstyle groupId.

* Thu Jun 9 2011 Alexander Kurtakov <akurtako@redhat.com> 2.6-4
- Build with maven 3.x.
- Guideline fixes.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Oct 5 2010 Chris Spike <chris.spike@arcor.de> 2.6-2
- Changed BR from 'commons-collections' to 'apache-commons-collections'

* Sat Oct 2 2010 Chris Spike <chris.spike@arcor.de> 2.6-1
- Updated to latest upstream version

* Mon Jul 19 2010 Chris Spike <chris.spike@arcor.de> 2.5-3
- Eventually really fixed Requires for plexus-containers-container-default and 
  plexus-resources (#616202)

* Mon Jul 19 2010 Chris Spike <chris.spike@arcor.de> 2.5-2
- Removed BuildArch from javadoc subpackage
- Fixed Requires for plexus-containers-container-default and 
  plexus-resources (#616202)

* Thu Jul 15 2010 Chris Spike <chris.spike@arcor.de> 2.5-1
- Initial version of the package
